﻿using System.Data.SQLite;
using System.IO;

namespace AncouApp.Kavosu.Core
{
    internal class ConnectionUtil
    {
        /// <summary>
        /// what database file is exist
        /// </summary>
        public static bool ExistDbFile
        {
            get
            {
                string filePath = GetDbPath();
                return File.Exists(filePath);
            }
        }

        /// <summary>
        /// Get DB Path
        /// </summary>
        /// <returns></returns>
        private static string GetDbPath()
        {
            return "Kavosu.db";
        }

        /// <summary>
        /// Get New Connection
        /// </summary>
        /// <returns></returns>
        public static SQLiteConnection GetNewConnection()
        {
            string dbPath = GetDbPath();
            string arg = "Data Source=" + dbPath;

            var connection = new SQLiteConnection(arg);
            connection.Open();

            return connection;
        }
    }
}
